Bug 315930

Summary: Ability to sign a PDF with my scanned signature (i.e. picture file) like in Adobe Acrobat
Product: [Applications] okular Reporter: Edward <edwardiv1>
Component: PDF backendAssignee: Okular developers <okular-devel>
Status: REPORTED ---    
Severity: wishlist CC: drokergeek, h.mth, jesnow, m.weghorn, mabo, ndrzj1gbo, nicolas, nortexoid, philippe.roubach, simonandric5, utkuberberoglu
Priority: NOR    
Version: 0.16.0   
Target Milestone: ---   
Platform: Other   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: a signed PDF to play with

Description Edward 2013-02-28 23:42:19 UTC
Acrobat allows PDFs to be signed by superimposing a graphic image of a signature on a document. Okular should support the same functionality.

Reproducible: Always
Comment 1 Hanno Meyer-Thurow (geki) 2017-06-24 05:58:39 UTC
JFYI, there are two bugreports to poppler to extract signature data[0] and actually sign a full PDF document[1] with work-in-progress patches. Qt5 frontend integration seems included.

Well, as these are the basis for signing and this is the only bugreport about this feature I add my note here.

[0] https://bugs.freedesktop.org/show_bug.cgi?id=99271 
[1] https://bugs.freedesktop.org/show_bug.cgi?id=99416
Comment 2 Ortwin Glück 2018-01-19 16:06:02 UTC
Just a status update:
[0] is fixed. I have poppler-0.57 and checks with pdfsig work fine:
$ pdfsig signed.pdf 
Digital Signature Info of: signed.pdf
Signature #1:
  - Signer Certificate Common Name: Hans Wurst
  - Signing Time: Jan 18 2018 10:32:38
  - Signature Validation: Signature is Valid.
  - Certificate Validation: Certificate has Expired

[1] is about to be merged :)
Comment 3 Ortwin Glück 2018-01-19 16:07:18 UTC
Created attachment 109989 [details]
a signed PDF to play with

Attaching a sample PDF that is signed. Open that in Adobe Reader to get an idea of what it looks like.
Comment 4 Michael D 2018-04-25 01:03:20 UTC
I think the original report is about different functionality, viz., the ability to annotate a hand-written signature into the document, much like macOS's Preview can do, and online software such as Hellosign can do.

Having this feature would mean one could avoid having to sign a document by hand, scan it, and then email/upload it.
Comment 5 Ortwin Glück 2018-04-25 09:59:12 UTC
Oh yes, never mind. Digital signatures would be https://bugs.kde.org/show_bug.cgi?id=233806
Comment 6 Jonathan E. Snow 2020-08-12 22:54:45 UTC
This is an extremely common workflow. Yes a digital signature is good, but a graphical signature is *essential*. Ideally you would have both but if only one then a graphic and text annotation is badly needed.
Comment 7 Philippe ROUBACH 2020-12-28 09:58:32 UTC
With the next release of Okular we will have to digitally sign a pdf. Good.

But we also need to sign with a graphical signature <=> insert a picture of a graphical signature or the mouse or any device for signature.
Comment 8 drokergeek 2021-06-01 08:33:06 UTC
I've discovered the last update's digital sign feature, nice! Master PDF Editor has this feature (paid one) which has a checkbox to add an image to the signature visual box, which would be to add your graphical signature for bureaucratic reasons. Really looking forward this last feature, which would, for me, replace completely any other (this is, adobe acrobat reader specifically) pdf reader
Comment 9 Maximilian Böhm 2021-12-13 16:36:41 UTC
Today I’ve found out that this feature is available to macOS users of Apple’s 'preview' program since more than 15 years: https://twitter.com/reckless/status/1470429409979023360
Sounds like the preview app lets you store a number of different signature scans to use in different circumstances.